import { Component } from 'react';
import { ModalProps } from './modal';
export default class Modal extends Component<ModalProps> {
    /**
     *
     * @param title {string} 标题
     * @param content {string} 内容
     * @param options Omit<ModalProps, 'title' | 'content' | 'visible'> 配置项，参考Modal组件配置
     * @returns
     */
    static show(title: string, content: string, options?: Omit<ModalProps, 'title' | 'content' | 'visible'>): number;
    /**
     *
     * @param key {number} Modal.show的返回值
     */
    static hide(key: number): void;
    render(): JSX.Element;
}
