"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEnabledAttributes = exports.transformStyle = exports.removePixelsFromNodeValue = exports.camelCaseNodeName = exports.camelCase = void 0;
exports.camelCase = (value) => value.replace(/-([a-z])/g, g => g[1].toUpperCase());
exports.camelCaseNodeName = ({ nodeName, nodeValue }) => ({ nodeName: exports.camelCase(nodeName), nodeValue });
exports.removePixelsFromNodeValue = ({ nodeName, nodeValue }) => ({
    nodeName,
    nodeValue: nodeValue.replace('px', ''),
});
exports.transformStyle = (nodeName, nodeValue, fillProp) => {
    if (nodeName === 'style') {
        return nodeValue.split(';').reduce((acc, attribute) => {
            const [property, value] = attribute.split(':');
            if (property == '')
                return acc;
            else
                return { ...acc, [exports.camelCase(property)]: fillProp && property === 'fill' ? fillProp : value };
        }, {});
    }
    return null;
};
exports.getEnabledAttributes = (enabledAttributes) => ({ nodeName }) => enabledAttributes.includes(nodeName);
