import React, { useEffect, useRef } from 'react';
import { Animated, Easing } from 'react-native';
import { Theme } from '../../components/Styles/theme';
import Icon from '../Icon';
const Spin = props => {
    const { style, color = Theme.brandPrimary, size = 30, spinning = true } = props;
    const rotateAnim = useRef(new Animated.Value(0)).current;
    const rotate = (run) => {
        const animation = Animated.timing(rotateAnim, {
            toValue: 1,
            duration: 1000,
            useNativeDriver: false,
            easing: Easing.linear,
        });
        const loop = Animated.loop(animation, {
            iterations: -1,
        });
        if (run) {
            loop.start();
        }
        else {
            loop.stop();
        }
    };
    useEffect(() => {
        rotate(spinning);
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [spinning]);
    const spin = rotateAnim.interpolate({
        inputRange: [0, 1],
        outputRange: ['0deg', '360deg'],
    });
    return (React.createElement(Animated.View, { style: { width: size, height: size, transform: [{ rotate: spin }] } },
        React.createElement(Icon, { name: "loading", size: size, color: color, style: style })));
};
export default Spin;
